{% extends "base.html" %}

{% block title %}
    My Tasks
{% endblock title %}
{% block content %}
    <main>
        <div>
            <h1>My Tasks</h1>
            {% if tasks|length == 0 %}
                <p>You have no tasks</p>
            {% else %}
                <table>
                    <thead>
                        <tr>
                            <th>Name</th>
                            <th>Start date</th>
                            <th>Due date</th>
                            <th>Is completed</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for task in tasks %}
                            <tr>
                                <td>{{ task.name }}</td>
                                <td>{{ task.start_date }}</td>
                                <td>{{ task.due_date }}</td>
                                <td>{{ task.is_completed|yesno }}</td>
                            </tr>
                        {% endfor %}
                    </tbody>
                {% endif %}
            </div>
        </main>
    {% endblock content %}
